// Generated by gencpp from file kombos_server/measureKalman.msg
// DO NOT EDIT!


#ifndef KOMBOS_SERVER_MESSAGE_MEASUREKALMAN_H
#define KOMBOS_SERVER_MESSAGE_MEASUREKALMAN_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>

#include <kombos_server/measureKinect.h>
#include <kombos_server/matrixMsg.h>
#include <kombos_server/kalmanState.h>

namespace kombos_server
{
template <class ContainerAllocator>
struct measureKalman_
{
  typedef measureKalman_<ContainerAllocator> Type;

  measureKalman_()
    : data()
    , matrices()
    , state()  {
    }
  measureKalman_(const ContainerAllocator& _alloc)
    : data(_alloc)
    , matrices(_alloc)
    , state(_alloc)  {
  (void)_alloc;
    }



   typedef  ::kombos_server::measureKinect_<ContainerAllocator>  _data_type;
  _data_type data;

   typedef std::vector< ::kombos_server::matrixMsg_<ContainerAllocator> , typename ContainerAllocator::template rebind< ::kombos_server::matrixMsg_<ContainerAllocator> >::other >  _matrices_type;
  _matrices_type matrices;

   typedef  ::kombos_server::kalmanState_<ContainerAllocator>  _state_type;
  _state_type state;





  typedef boost::shared_ptr< ::kombos_server::measureKalman_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::kombos_server::measureKalman_<ContainerAllocator> const> ConstPtr;

}; // struct measureKalman_

typedef ::kombos_server::measureKalman_<std::allocator<void> > measureKalman;

typedef boost::shared_ptr< ::kombos_server::measureKalman > measureKalmanPtr;
typedef boost::shared_ptr< ::kombos_server::measureKalman const> measureKalmanConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::kombos_server::measureKalman_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::kombos_server::measureKalman_<ContainerAllocator> >::stream(s, "", v);
return s;
}


template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator==(const ::kombos_server::measureKalman_<ContainerAllocator1> & lhs, const ::kombos_server::measureKalman_<ContainerAllocator2> & rhs)
{
  return lhs.data == rhs.data &&
    lhs.matrices == rhs.matrices &&
    lhs.state == rhs.state;
}

template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator!=(const ::kombos_server::measureKalman_<ContainerAllocator1> & lhs, const ::kombos_server::measureKalman_<ContainerAllocator2> & rhs)
{
  return !(lhs == rhs);
}


} // namespace kombos_server

namespace ros
{
namespace message_traits
{





template <class ContainerAllocator>
struct IsFixedSize< ::kombos_server::measureKalman_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::kombos_server::measureKalman_<ContainerAllocator> const>
  : FalseType
  { };

template <class ContainerAllocator>
struct IsMessage< ::kombos_server::measureKalman_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::kombos_server::measureKalman_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::kombos_server::measureKalman_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::kombos_server::measureKalman_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::kombos_server::measureKalman_<ContainerAllocator> >
{
  static const char* value()
  {
    return "61fc728b332661d91b29e3f5c4fe0dd6";
  }

  static const char* value(const ::kombos_server::measureKalman_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0x61fc728b332661d9ULL;
  static const uint64_t static_value2 = 0x1b29e3f5c4fe0dd6ULL;
};

template<class ContainerAllocator>
struct DataType< ::kombos_server::measureKalman_<ContainerAllocator> >
{
  static const char* value()
  {
    return "kombos_server/measureKalman";
  }

  static const char* value(const ::kombos_server::measureKalman_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::kombos_server::measureKalman_<ContainerAllocator> >
{
  static const char* value()
  {
    return "measureKinect data\n"
"matrixMsg[] matrices\n"
"kalmanState state\n"
"\n"
"================================================================================\n"
"MSG: kombos_server/measureKinect\n"
"string typeCapteur\n"
"int32 idCapteur\n"
"positionMsg[] measures\n"
"\n"
"================================================================================\n"
"MSG: kombos_server/positionMsg\n"
"string name\n"
"geometry_msgs/Point position\n"
"bool fiability\n"
"\n"
"================================================================================\n"
"MSG: geometry_msgs/Point\n"
"# This contains the position of a point in free space\n"
"float64 x\n"
"float64 y\n"
"float64 z\n"
"\n"
"================================================================================\n"
"MSG: kombos_server/matrixMsg\n"
"string name\n"
"int32 cols\n"
"int32 rows\n"
"float64[] M\n"
"================================================================================\n"
"MSG: kombos_server/kalmanState\n"
"string[] name\n"
"float32[] value\n"
;
  }

  static const char* value(const ::kombos_server::measureKalman_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::kombos_server::measureKalman_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.data);
      stream.next(m.matrices);
      stream.next(m.state);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER
  }; // struct measureKalman_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::kombos_server::measureKalman_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::kombos_server::measureKalman_<ContainerAllocator>& v)
  {
    s << indent << "data: ";
    s << std::endl;
    Printer< ::kombos_server::measureKinect_<ContainerAllocator> >::stream(s, indent + "  ", v.data);
    s << indent << "matrices[]" << std::endl;
    for (size_t i = 0; i < v.matrices.size(); ++i)
    {
      s << indent << "  matrices[" << i << "]: ";
      s << std::endl;
      s << indent;
      Printer< ::kombos_server::matrixMsg_<ContainerAllocator> >::stream(s, indent + "    ", v.matrices[i]);
    }
    s << indent << "state: ";
    s << std::endl;
    Printer< ::kombos_server::kalmanState_<ContainerAllocator> >::stream(s, indent + "  ", v.state);
  }
};

} // namespace message_operations
} // namespace ros

#endif // KOMBOS_SERVER_MESSAGE_MEASUREKALMAN_H
